/*
** InOut.h for Gmurf in ~Gmurf/gui
** 
** Made by Rmi Coupet
** Login   <inthy@sietch.inthy.fr>
** 
** Started on  Tue Feb 16 19:09:37 1999 Rmi Coupet
** Last update Thu Mar 18 16:21:37 1999 Rmi Coupet
*/

#ifndef _IN_OUT

#define _IN_OUT

#include "item.h"
#include "gui.h"
#include "Win_Aux.h"
#include "Load_Sound.h"
#include "Errors.h"
#include "mixer_launch.h"
#include "mix_sample.h"
#include "Mixer.h"
#include "Constants.h"
#include "MixerTypes.h"
#include "DspLib.h"
#include "ConfigLib.h"
#include "wavwin_init.h"
#include "GmurfProjectSaver.h"
#include "Renderer.h"
#include "GmurfProjectLoader.h"
#include "Save_Sound.h"

#include <sys/types.h>
#include <sys/stat.h>
#include <string.h>
#include <math.h>
#include <stdlib.h>


typedef struct  s_fselect t_fselect ;
struct 		s_fselect 
{
  int		way ;
  GtkWidget	*fs ;
};


GtkWidget	*File_Select		(const char	*Message, 
					 char		*def_file, 
					 int		way) ;
GtkWidget 	*file_open		(GtkWidget	*widget,
					 GdkEvent	*event,
					 gpointer	data) ;
GtkWidget	*file_save		(char		*filename) ;
void		open_verify		(GtkWidget	*fs) ;
void		open_verify_mix		(GtkWidget	*fs) ;
void		open_verify_both	(GtkWidget	*fs) ;
void		open_in_WE		(void) ;
void		open_in_MIX		(void) ;
void		open_in_BOTH		(void) ;

char		*itoa			(long	i) ;
char		*ultoa			(unsigned long	i) ;
GtkWidget	*File_Save_Project	(void) ;
GtkWidget	*File_Render_Project	(void) ;
void 		want_you_open_project	(void) ;
GtkWidget	*File_Save_Wave         (GtkWidget	*widget) ;

#endif /* _IN_OUT */
