#!/usr/bin/wish
#############################################################################
# Visual Tcl v1.20 Project
#

#################################
# GLOBAL VARIABLES
#
global che25; set che25 {0}
global repeat_from_beginning; set repeat_from_beginning {0}
global repeats; set repeats {1}
global time; set time {0}
global widget; 
#################################
# USER DEFINED PROCEDURES
#
proc init {argc argv} {

}

init $argc $argv


proc {main} {argc argv} {

}

proc {Window} {args} {
global vTcl
    set cmd [lindex $args 0]
    set name [lindex $args 1]
    set newname [lindex $args 2]
    set rest [lrange $args 3 end]
    if {$name == "" || $cmd == ""} {return}
    if {$newname == ""} {
        set newname $name
    }
    set exists [winfo exists $newname]
    switch $cmd {
        show {
            if {$exists == "1" && $name != "."} {wm deiconify $name; return}
            if {[info procs vTclWindow(pre)$name] != ""} {
                eval "vTclWindow(pre)$name $newname $rest"
            }
            if {[info procs vTclWindow$name] != ""} {
                eval "vTclWindow$name $newname $rest"
            }
            if {[info procs vTclWindow(post)$name] != ""} {
                eval "vTclWindow(post)$name $newname $rest"
            }
        }
        hide    { if $exists {wm withdraw $newname; return} }
        iconify { if $exists {wm iconify $newname; return} }
        destroy { if $exists {destroy $newname; return} }
    }
}

#################################
# VTCL GENERATED GUI PROCEDURES
#

proc vTclWindow. {base} {
    if {$base == ""} {
        set base .
    }
    ###################
    # CREATING WIDGETS
    ###################
    wm focusmodel $base passive
    wm geometry $base 1x1+0+0
    wm maxsize $base 785 570
    wm minsize $base 1 1
    wm overrideredirect $base 0
    wm resizable $base 1 1
    wm withdraw $base
    wm title $base "vt.tcl"
    ###################
    # SETTING GEOMETRY
    ###################
}

proc vTclWindow.top17 {base} {
    if {$base == ""} {
        set base .top17
    }
    if {[winfo exists $base]} {
        wm deiconify $base; return
    }
    ###################
    # CREATING WIDGETS
    ###################
    toplevel $base -class Toplevel
    wm focusmodel $base passive
    wm geometry $base 277x199+112+204
    wm maxsize $base 785 570
    wm minsize $base 1 1
    wm overrideredirect $base 0
    wm resizable $base 1 1
    wm deiconify $base
    wm title $base "Wave Repeat"
    label $base.lab18 \
        -borderwidth 1 -relief raised -text {Wave Repeat} 
    label $base.lab23 \
        -borderwidth 1 -relief raised \
        -text {Time between each repetition (in samples):} 
    entry $base.ent24 \
        -textvariable time 
    checkbutton $base.che25 \
        \
        -command {if {$repeat_from_begining >= 0} {
    set repeat_from_begining {0}
} else {
    set repeat_from_begining {1}
}} \
        -text {Count from the begining of the wave} -variable che25 
    label $base.lab26 \
        -borderwidth 1 -relief raised -text {Number of repeats:} 
    entry $base.ent27 \
        -textvariable repeats 
    menu $base.m30 \
        -cursor {} 
    button $base.but31 \
        \
        -command {Window show .top18
Window hide .top17
exec ./main [lindex $argv 0] [lindex $argv 1] [lindex $argv 2] $repeats $time $repeat_from_beginning [pid] &} \
        -padx 9 -pady 3 -text Okay 
    button $base.but32 \
        -command exit -padx 9 -pady 3 -text Cancel 
    ###################
    # SETTING GEOMETRY
    ###################
    place $base.lab18 \
        -x 5 -y 5 -anchor nw -bordermode ignore 
    place $base.lab23 \
        -x 5 -y 75 -anchor nw -bordermode ignore 
    place $base.ent24 \
        -x 5 -y 95 -width 263 -height 22 -anchor nw -bordermode ignore 
    place $base.che25 \
        -x 0 -y 120 -anchor nw -bordermode ignore 
    place $base.lab26 \
        -x 5 -y 30 -anchor nw -bordermode ignore 
    place $base.ent27 \
        -x 5 -y 50 -width 263 -height 22 -anchor nw -bordermode ignore 
    place $base.but31 \
        -x 25 -y 155 -anchor nw -bordermode ignore 
    place $base.but32 \
        -x 190 -y 155 -anchor nw -bordermode ignore 
}

proc vTclWindow.top18 {base} {
    if {$base == ""} {
        set base .top18
    }
    if {[winfo exists $base]} {
        wm deiconify $base; return
    }
    ###################
    # CREATING WIDGETS
    ###################
    toplevel $base -class Toplevel
    wm focusmodel $base passive
    wm geometry $base 93x63+192+229
    wm maxsize $base 785 570
    wm minsize $base 1 1
    wm overrideredirect $base 0
    wm resizable $base 1 1
    wm title $base "Processing"
    label $base.lab19  -borderwidth 1 -relief raised -text Processing... 
    button $base.but20  -command {exec killall -TERM main
exit} -padx 9 -pady 3 -text Cancel 
    ###################
    # SETTING GEOMETRY
    ###################
    place $base.lab19  -x 5 -y 5 -anchor nw -bordermode ignore 
    place $base.but20  -x 25 -y 30 -anchor nw -bordermode ignore
}

Window show .
Window show .top17

main $argc $argv
